/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.project.api.project.service;

import com.hzbank.testteam.autotest.dependencies.baseDefineDependency.entity.Environment;
import com.hzbank.testteam.autotest.dependencies.baseDefineDependency.vo.ResponseVO;
import net.northking.cctp.common.db.excel.ExcelService;
import net.northking.cctp.common.http.QueryByPage;
import net.northking.cctp.project.db.entity.CpProject;
import net.northking.cctp.project.dto.project.*;

import java.text.ParseException;
import java.util.List;
import java.util.Map;

/**
 * 系统基本信息表Restful逻辑接口
 *
 * @author maven-cctp-plugin
 * @since 1.0
 */
public interface CpProjectApiService {


    List<ProjectSimpleInfo> queryAllProjectByTenant() throws ParseException;

    /**
     * 获取系统基本信息表
     *
     * @param uuid 数据库主键
     * @return 接口数据传输对象
     */
    CpProjectDetailDto findByPK(String uuid);


    List<ProjectSimpleInfo> queryProByDevice() throws ParseException;

    ProjectSimpleInfo getProjectInfo(CpProject project);

    List<String> selectEnvIds(String proId);

    List<String> queryEnvListSeq(String proId);

    List<Environment> selectProjectEnvs(String proId);
	
	Map<String,String> feignQueryProData(String proId);

    List<CpProjectEnvOptionDto> selectEnvOptions(String projectId);

    /**
     * 从ATS分页获取系统环境
     *
     * @param cpProjectEnvQueryDto 分页数据
     * @return 系统环境
     */
    ResponseVO<Object> getATSProjectEnvVo(QueryByPage<CpProjectEnvQueryDto> cpProjectEnvQueryDto);
}
